Subject: Re: [patch 6/7] ps3: ROM Storage Driver

From: Christoph Hellwig <[email-masked]>
Date: Tue, 29 May 2007 11:55:08 +0200

On Sun, May 27, 2007 at 08:18:43AM +1000, Benjamin Herrenschmidt wrote:
> > > > linux/highmem.h is not included to get the kmap_* prototypes.
> > > 
> > > Beside, I don't see the point of using kmap on ppc64...
> > 
> > So what should I use instead?
> 
> you don't need to map ... the linear mapping is there.... page_address()
> should just work. But then, kmap will resolve to just that anyway so I
> suppose it doesn't matter.

Generally I'd prefer to use kmap everywhere, to keep code future-proof.
Similar to how I advocate using spinlocks even in drivers for UP-only
architectures.